Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2869 closed enhancement (fixed)

Remove support for 16-bit object identifiers

Reported by: Sebastian Huber Owned by:
Priority: normal Milestone: 6.1
Component: score Version:
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The only target using 16-bit object identifiers is M32C. This optimization is not worth the trouble. Self-contained objects are much more attractive for low end systems.

Change History (3)

comment:1 Changed on 11/09/17 at 06:26:42 by Sebastian Huber

Milestone: 5.06.1

Milestone renamed

comment:2 Changed on 12/17/21 at 16:56:58 by Joel Sherrill

This has been implemented. Closing.

comment:3 Changed on 01/26/22 at 13:49:37 by Sebastian Huber

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.